# Uses of Class
org.springframework.expression.ParseException

Packages that use ParseException
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.common
Common utility classes behind the Spring Expression Language.
org.springframework.expression.spel
SpEL's central implementation package.
org.springframework.expression.spel.standard
SpEL's standard parser implementation.

## Uses of ParseException in org.springframework.expression

Methods in org.springframework.expression that throw ParseException
Modifier and Type
Method
Description
`Expression`
ExpressionParser.`parseExpression(String expressionString)`
Parse the expression string and return an `Expression` object that can be used for repeated evaluation.
`Expression`
ExpressionParser.`parseExpression(String expressionString, ParserContext context)`
Parse the expression string and return an `Expression` object that can be used for repeated evaluation.

## Uses of ParseException in org.springframework.expression.common

Methods in org.springframework.expression.common that throw ParseException
Modifier and Type
Method
Description
`protected abstract Expression`
TemplateAwareExpressionParser.`doParseExpression(String expressionString, ParserContext context)`
Actually parse the expression string and return an Expression object.
`Expression`
TemplateAwareExpressionParser.`parseExpression(String expressionString)`
`Expression`
TemplateAwareExpressionParser.`parseExpression(String expressionString, ParserContext context)`

## Uses of ParseException in org.springframework.expression.spel

Subclasses of ParseException in org.springframework.expression.spel
Modifier and Type
Class
Description
`class`
`SpelParseException`
Root exception for Spring EL related exceptions.

## Uses of ParseException in org.springframework.expression.spel.standard

Methods in org.springframework.expression.spel.standard that throw ParseException
Modifier and Type
Method
Description
`protected SpelExpression`
SpelExpressionParser.`doParseExpression(String expressionString, ParserContext context)`
`SpelExpression`
SpelExpressionParser.`parseRaw(String expressionString)`